const request = require("request-promise-native");

const documentation = {
    "inspire me": {
        auth: false,
        description: "Generates an inspiring quote just for you"
    }
};


async function inspire(msg) {
    let result = await request("https://inspirobot.me/api?generate=true");
    msg.channel.send(`${msg.author.toString()} Here is a piece of my wisdom:`, {
        files: [ result ]
    });
}

const commands = {
    "inspire me": msg => {
        inspire(msg);    
    }
};

module.exports = {
    commands: commands,
    documentation: documentation
};